#include "GenericTypeDefs.h"
#include "Compiler.h"
#include "usb_config.h"
#include "./USB/usb_device.h"

#pragma udata access accessram
static near BYTE i,in,out;

#pragma udata
BYTE bitreverse[256];

void init_bitreverse(){
	for(i=0;1;i++){
		in=i;
		_asm
		RLCF	in,1,0
		RRCF	out,1,0
		RLCF	in,1,0
		RRCF	out,1,0
		RLCF	in,1,0
		RRCF	out,1,0
		RLCF	in,1,0
		RRCF	out,1,0
		RLCF	in,1,0
		RRCF	out,1,0
		RLCF	in,1,0
		RRCF	out,1,0
		RLCF	in,1,0
		RRCF	out,1,0
		RLCF	in,1,0
		RRCF	out,1,0
		_endasm
		bitreverse[i]=out;
		if(i==0xFF)break;
	}
}
